Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.cache
Class HttpCacheUpdateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.http.client.cache.HttpCacheUpdateException

All Implemented Interfaces:
  Serializable

    public class HttpCacheUpdateException

extends Exception

Signals that `HttpCacheStorage` encountered an error performing an update operation.

Since:
  4.1
See Also:
  Serialized Form

Constructor Summary
`HttpCacheUpdateException(String message)`
`HttpCacheUpdateException(String message, Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpCacheUpdateException

    public HttpCacheUpdateException(String message)

### HttpCacheUpdateException

    public HttpCacheUpdateException(String message,
                                    Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.